textures/hgb_whenmasty/yellow_sky
{
	qer_editorimage textures/hgb_whenmasty/yellow_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sunExt 1.0 0.85 0.85  96 30   85 2 32
	q3map_sunExt 0.85 1.0 0.85  96 120  55 2 32
	q3map_sunExt 0.85 0.85 1.0  96 210  25 2 32
	q3map_sunExt 1.0 0.85 0.85  96 300  -5  2 32
	q3map_sunExt 0.85 1.0 0.85  96 0   -35 2 32
	q3map_sunExt 0.85 0.85 1.0  64 90  -65 2 32
	q3map_sunExt 0.85 0.85 0.85 32 180 -95 2 32

	q3map_lightmapFilterRadius 0 8
	q3map_lightRGB 0.9 0.85 1
	q3map_skylight 96 4 -90 90 0

	{
		map textures/hgb_whenmasty/yellow_sky.tga
	}
}

textures/hgb_whenmasty/purple_sky
{
	qer_editorimage textures/hgb_whenmasty/purple_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	{
		map textures/hgb_whenmasty/purple_sky.tga
	}
}

textures/hgb_whenmasty/brown_sky
{
	qer_editorimage textures/hgb_whenmasty/brown_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	{
		map textures/hgb_whenmasty/brown_sky.tga
	}
}

textures/hgb_whenmasty/black_sky
{
	qer_editorimage textures/hgb_whenmasty/black_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	{
		map textures/hgb_whenmasty/black_sky.tga
	}
}

textures/hgb_whenmasty/red_sky
{
	qer_editorimage textures/hgb_whenmasty/red_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	{
		map textures/hgb_whenmasty/red_sky.tga
	}
}

textures/hgb_whenmasty/blue_sky
{
	qer_editorimage textures/hgb_whenmasty/blue_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	{
		map textures/hgb_whenmasty/blue_sky.tga
	}
}

textures/hgb_whenmasty/green_sky
{
	qer_editorimage textures/hgb_whenmasty/green_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	{
		map textures/hgb_whenmasty/green_sky.tga
	}
}

textures/hgb_whenmasty/rainbow_sky
{
	qer_editorimage textures/hgb_whenmasty/white_sky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans


	{
		map textures/hgb_whenmasty/red_sky.tga
		alphaGen wave sin 0.1 0.3 0 0.1
		blendfunc GL_SRC_ALPHA GL_ONE
	}
	{
		map textures/hgb_whenmasty/green_sky.tga
		alphaGen wave sin 0.1 0.3 0.33 0.1
		blendfunc GL_SRC_ALPHA GL_ONE
	}
	{
		map textures/hgb_whenmasty/blue_sky.tga
		alphaGen wave sin 0.1 0.3 0.66 0.1
		blendfunc GL_SRC_ALPHA GL_ONE
	}
}

// background to rainbow sky
textures/hgb_whenmasty/black_sky000
{
	qer_editorimage textures/hgb_whenmasty/black_sky000.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	{
		map textures/hgb_whenmasty/black_sky000.tga
	}
}


// based on textures/arevass/water
textures/hgb_whenmasty/yellow_water
{
	qer_editorimage	textures/hgb_whenmasty/yellow_water.jpg
	qer_trans	0.8

	surfaceparm	water
	surfaceparm	trans

	q3map_lightmapFilterRadius 0 16
	q3map_surfacelight 128

	tessSize	128

	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	deformvertexes normal 0.1 1.85
    {
        map textures/hgb_whenmasty/yellow_water.jpg
    	blendFunc GL_ONE GL_SRC_ALPHA
    	rgbGen const ( 0.513726 0.415686 0.0509804 )
        alphaFunc GE128
    	alphaGen const 1.0
    	tcmod scroll 0 -0.25
    }
    {
    	map textures/hgb_whenmasty/cubemap.jpg
    	tcGen environment
    	rgbGen const ( 0.513726 0.415686 0.0509804 )
    	blendFunc GL_ONE GL_ONE
    }
    {
    	map textures/hgb_whenmasty/cubemap.jpg
    	tcGen environment
    	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
    	map $lightmap
    	blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/hgb_whenmasty/arm_bird
{
	qer_editorimage	textures/hgb_whenmasty/arm_bird.jpg
	qer_trans	0.8

	surfaceparm	trans

	q3map_lightmapFilterRadius 0 16
	q3map_surfacelight 2567

	tesssize 128
	cull disable

	deformvertexes normal 0.1 1.85
    {
        map textures/hgb_whenmasty/arm_bird.jpg
    	blendFunc GL_ONE GL_SRC_ALPHA
    	rgbGen const ( 0.513726 0.415686 0.0509804 )
        alphaFunc GE128
    	alphaGen const 1.0
    	tcmod scroll 0 -0.25
    }
    {
    	map textures/hgb_whenmasty/cubemap.jpg
    	tcGen environment
    	rgbGen const ( 0.513726 0.415686 0.0509804 )
    	blendFunc GL_ONE GL_ONE
    }
    {
    	map textures/hgb_whenmasty/cubemap.jpg
    	tcGen environment
    	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
    	map $lightmap
    	blendFunc GL_DST_COLOR GL_ZERO
    }
}


textures/hgb_whenmasty/glass_slick_brown
{
   qer_editorimage textures/hgb_wheremasty/glass.tga
   qer_trans 0.5

   surfaceparm lightfilter
   surfaceparm trans
   surfaceparm slick

   q3map_surfacelight 140
   q3map_backSplash 12 16
   q3map_lightmapFilterRadius 0 16
   q3map_lightRGB 0.271641 0.104509 0.0462043

   cull disable

	{
		map textures/hgb_wheremasty/glass.tga
		tcMod turb 0 0.01 0 0.01
      	tcmod scroll .0 .02
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.271641 0.104509 0.0462043 )
	}
	{
		map textures/hgb_wheremasty/crystalfx3.jpg
		blendFunc add
		rgbGen wave sin 0.05 0.01 0 0.05
		tcGen environment
	}
}

textures/hgb_whenmasty/techlight_1_light
{
	qer_editorimage textures/makkon_tech_textures/techlight_1.tga

	surfaceparm nonsolid
	surfaceparm nolightmap

	q3map_surfacelight 360
	q3map_backSplash 12 16
	q3map_lightmapFilterRadius 0 16
	q3map_lightimage textures/makkon_tech_textures/+0techlight_1
	
	{
        map $lightmap
        tcgen lightmap
        rgbGen identity
    }
	{
		map textures/makkon_tech_textures/techlight_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// 1/2048 = 0.00048828125
// both fog image vertical height and ingame unit vertical height are 2048

// /////// 
// yellow
// ///////
textures/hgb_whenmasty/conc_f04_ylw1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_f04_ylw1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_ylw/conc_f04_ylw1.tga
		blendFunc filter
	}
	{
		clampMap textures/hgb_whenmasty/yellow_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
textures/hgb_whenmasty/conc_t08_ylw1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_t08_ylw1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_ylw/conc_t08_ylw1.tga
		blendFunc filter
	}
	{
		clampMap textures/hgb_whenmasty/yellow_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
textures/hgb_whenmasty/conc_w05_ylw2_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_w05_ylw2_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_ylw/conc_w05_ylw2.tga
		blendFunc filter
	}
	{
		clampMap textures/hgb_whenmasty/yellow_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb_whenmasty/conc_w06_ylw2_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_w06_ylw2_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_ylw/conc_w06_ylw2.tga
		blendFunc filter
	}
	{
		clampMap textures/hgb_whenmasty/yellow_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


// /////// 
// purple
// ///////

textures/hgb_whenmasty/conc_f03_prpl1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_f03_prpl1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_prpl/conc_f03_prpl1.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/purple_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb_whenmasty/conc_c02_prpl1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_c02_prpl1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_prpl/conc_c02_prpl1.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/purple_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb_whenmasty/conc_t08_prpl1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_t08_prpl1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_prpl/conc_t08_prpl1.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/purple_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb_whenmasty/conc_t06_prpl1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_t06_prpl1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_prpl/conc_t06_prpl1.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/purple_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb_whenmasty/conc_f01_prpl1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_f01_prpl1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_prpl/conc_f01_prpl1.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/purple_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// /////// 
// brown
// ///////

textures/hgb_whenmasty/conc_c04_brwn_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_c04_brwn_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_brwn/conc_c04_brwn.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/brown_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// /////// 
// black
// ///////

textures/hgb_whenmasty/conc_w02_blk1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_w02_blk1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_blk/conc_w02_blk1.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/black_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// /////// 
// red
// ///////
textures/hgb_whenmasty/conc_w04_red2_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_w04_red2_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_red/conc_w04_red2.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/red_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// /////// 
// blue
// ///////

textures/hgb_whenmasty/conc_w08_blu1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_w08_blu1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_blu/conc_w08_blu1.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/blue_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// /////// 
// green
// ///////
textures/hgb_whenmasty/conc_w26_grn4_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_w26_grn4_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_grn/conc_w26_grn4.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/green_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


// /////// 
// white/rainbow
// ///////

textures/hgb_whenmasty/conc_c03_wht1_fog
{
	qer_editorimage textures/hgb_whenmasty/conc_c03_wht1_fog.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/makkon_concrete_textures_wht/conc_c03_wht1.tga
		blendfunc filter
	}
	{
		clampMap textures/hgb_whenmasty/gray_gradient.tga
		tcGen vector ( 0.00048828125 0 0 ) ( 0 0 -0.00048828125 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map textures/hgb_whenmasty/red_sky.tga
		alphaGen wave sin 0.1 0.3 0 0.1
		rgbGen identityLighting

		blendFunc GL_SRC_ALPHA GL_ONE
	}

	{
		map textures/hgb_whenmasty/green_sky.tga
		alphaGen wave sin 0.1 0.3 0.33 0.1
		rgbGen identityLighting
		blendFunc GL_SRC_ALPHA GL_ONE
	}

	{
		map textures/hgb_whenmasty/blue_sky.tga
		alphaGen wave sin 0.1 0.3 0.66 0.1
		rgbGen identityLighting

		blendFunc GL_SRC_ALPHA GL_ONE
	}
}